<html>
  <head>
    <title>Small VanillaJS Vue.js App</title>
      <style>
        [v-cloak] {
          display: none
        }
      </style>
  </head>
  <body>
    <div id="app">
      <div v-cloak>
        <strong>Address From</strong>
        <br/> Road : {{ from.road }}
        <br/> Zip Code : {{ from.zipCode }}
        <br/> City : {{ from.city }}
        <br/>
        <span v-if="from.complement">
          Complement: {{ from.complement }}<br/>
        </span>
        <span v-if="from.country">
          Country: {{ from.country }}<br/>
        </span>
        <span v-if="from.state">
          State: {{ from.state }}<br/>
        </span>
      </div>
      <div v-cloak>
        <strong>Address To</strong>
        <br/> Road : {{ to.road }}
        <br/> Zip Code : {{ to.zipCode }}
        <br/> City : {{ to.city }}
        <br/>
        <span v-if="to.complement">
          Complement: {{ to.complement }}
          <br/>
        </span>
        <span v-if="to.country">
          Country: {{ to.country }}<br/>
        </span>
        <span v-if="to.state">
          State: {{ to.state }}<br/>
        </span>
      </div>

      <h2>Address form</h2>
      <form>
        <div v-for="item in addressSchema">
          <label>{{item.label}}</label>
          <input
            v-bind="item.attrs"
            v-model="from[item.field]"
            @mouseover="logMouseOver"
          />
        </div>
      </form>

    </div>
    <script type="text/javascript" src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
    <script type="text/javascript" >
      var app = new Vue({
        el: '#app',
        data: {
          from: {
            road: '1 Place Wilson',
            zipCode: '31000',
            city: 'Toulouse',
            complement: "Bloom Multimédia",
            country: 'Occitanie',
            state: null,
          }, to: {
            road: 'place du Capitole',
            zipCode: 31000,
            complement: 'pouet',
            city: 'Toulouse',
            state: 'France',
          },
          addressSchema: [{
            attrs: { type: 'text' },
            label: 'Road',
            field: 'road'
          }, {
            attrs: { type: 'number', style: "color: red" },
            label: 'Zip Code',
            field: 'zipCode'
          }, {
            attrs: { type: 'text' },
            label: 'Complement',
            field: 'complement'
          }, {
            attrs: { type: 'text' },
            label: 'State',
            field: 'state'
          }, {
            attrs: { type: 'text' },
            label: 'Country',
            field: 'country'
          }, {
            attrs: { type: 'text' },
            label: 'City',
            field: 'city'
          }]
        },
        methods: {
          logMouseOver: console.log
        },
        beforeCreate () {
          console.log(this.from)
        },
        created () {
          console.log('Vue created ! ', this.from);
          this.from.road = 'pouet';
        },
      })
    </script>
  </body>
</html>
